<?php
/**
 * Created by PhpStorm.
 * User: Maxim
 * Date: 27.05.2016
 * Time: 12:26
 */

//  sberbank.ru class
require(dirname(__FILE__) . '/lib/sberbank.class.php');

$order_id = startTransaction($LINK, $user, $amount, 'addons_sberbankru_mrch');


$dillerID = getUsersGroupID($LINK, $user['uid']);

if($dillerID != 0){
    $dilerOptions = readCustomFieldsDealerOptions($LINK, $dillerID, true);


    // Еcли включен у субпровайдера Privat24
    if(isset($dilerOptions[$paysystem . '_on']) AND $dilerOptions[$paysystem . '_on'] == '1' ){
        // Перезапишем опции
        foreach ($dilerOptions as $key => $value){
            $systemOptions[$key] = $value;
        }
    }
}

$merchant_id = $systemOptions[$paysystem . '_mrch_id']; // идентификатор точки продажи
$merchant_login_api = $systemOptions[$paysystem . '_login_api']; //  логин мерчанта
$merchant_pass_api = $systemOptions[$paysystem . '_pass_api']; //  пароль системы

if (!empty($systemOptions[$paysystem . '_test']) and $systemOptions[$paysystem . '_test'] == '1') {
	$mode = false;
} else {
	$mode = true;
}

if (!empty($systemOptions[$paysystem . '_return_url'])) {
	$returnUrl = $systemOptions[$paysystem . '_return_url'];
} else {
	$returnUrl = "http://example.com/pay/ok/";
}

if (!empty($systemOptions[$paysystem . '_fail_url'])) {
	$failUrl = $systemOptions[$paysystem . '_fail_url'];
} else {
	$failUrl = "http://example.com/pay/no/";
}

$SberBankClass = new Sberbank($merchant_id, $merchant_login_api, $merchant_pass_api, $returnUrl, $failUrl, $mode);

$action_url = $SberBankClass->getFormUrl($order_id, $user['uid'], $amount, 'Пополнение баланса, UID: ' . $user['uid']);

if ($action_url) {
	
	# Название ПС
	$form->setLabelForm('SberBank.ru');

	# Отправим шаблон на форму
	$form->setTemplate(getTemplateName($LINK));

	# Заполняем action URL для формы
	$form->setUrlForm($action_url);

	# GET form
	$form->setMethodForm('GET');
	$form->addFieldForm($form->_group($form->_button()));
	$form->addScriptForm("<script type='text/javascript'>location='{$action_url}';</script>");
	//header('Location: ' . $action_url);
} else {
	# Название ПС
	$form->setLabelForm('SberBank.ru');

	# заполняем форму полями
	$form->addFieldForm($form->_h('Ошибка. Попробуйте позже...'));
	$form->addFieldForm($form->_hr());
}
